# SlµArch

<img src="./docs/SluArch_logo.png" width="300"/>

[![PyPI - Version](https://img.shields.io/pypi/v/SleeVop?logo=pypi)](https://pypi.python.org/pypi/SluArch)
[![Conda (channel only)](https://img.shields.io/conda/vn/conda-forge/SluArch?logo=anaconda&color=green)](https://anaconda.org/conda-forge/SluArch)
[![PyPI pyversions](https://img.shields.io/pypi/pyversions/SluArch.svg?logo=python)](https://pypi.python.org/pypi/SluArch)
[![License](https://img.shields.io/github/license/sjg2203/SluArch?logo=apache)](https://github.com/sjg2203/SluArch/blob/main/LICENSE)
[![Security: bandit](https://img.shields.io/badge/security-bandit-yellow.svg)](https://github.com/PyCQA/bandit)
[![PyPI - Status](https://img.shields.io/pypi/status/SlµArch)](https://pypi.python.org/pypi/SlµArch)
[![Hit](https://img.shields.io/endpoint?url=https%3A%2F%2Fhits.dwyl.com%2Fsjg2203%2FSluArch.svg&color=red)](http://hits.dwyl.com/sjg2203/SluArch)
[![Ruff](https://img.shields.io/endpoint?url=https://raw.githubusercontent.com/astral-sh/ruff/main/assets/badge/v2.json)](https://github.com/astral-sh/ruff)

[SlµArch](https://github.com/sjg2203/SluArch) (Sleep MicroArchitecture): a Python package to analyse sleep microarchitecture.

The toolbox is optimised for Python 3.10 and above and was tested on both Windows and macOS ARM.

> [!NOTE]
> All dependencies are listed in [requirements](docs/requirements.txt), Python 3.10 minimum.

## Citation [![DOI](https://zenodo.org/badge/DOI/10.5281/zenodo.10651391.svg)](https://doi.org/10.5281/zenodo.10651391)

If you use this package, please cite as follows:

- Guillot,
  S.J.<a id="cy-effective-orcid-url" class="underline" href="https://orcid.org/0000-0002-1623-7091" target="orcid.widget" rel="me noopener noreferrer" style="vertical-align: top"><img src="https://orcid.org/sites/default/files/images/orcid_16x16.png" style="width: 1em; margin-inline-start: 0.5em" alt="ORCID"/></a> (
  2024). SlµArch (2024.05.15). GitHub, Zenodo. https://doi.org/10.5281/zenodo.10651391

## Contribution [![Contributions Welcome](https://img.shields.io/badge/contributions-welcome-brightgreen.svg?style=flat)](https://github.com/sjg2203/SluArch/issues)

This package were created and maintained by SJG.

Contributions are welcome, so feel free to submit a [pull request](https://github.com/sjg2203/SluArch/pulls)!

To report a bug, please open a new [issue](https://github.com/sjg2203/SluArch/issues).

Note that this program is provided with NO WARRANTY OF ANY KIND under Apache 2.0 [license](LICENSE).

## Installation of Python package

To install the toolbox, use:

- Using
  conda [![Board Status](https://dev.azure.com/conda-forge/feedstock-builds/_apis/build/status/sluarch-feedstock?branchName=main)](https://anaconda.org/conda-forge/SluArch)

```python
conda install -c cf-staging sluarch
```

- Using
  pip [![Pypi package](https://github.com/sjg2203/SluArch/actions/workflows/pypi_publish.yml/badge.svg?branch=main)](https://github.com/sjg2203/SluArch/actions/workflows/pypi_publish.yml) [![PyPI - Wheel](https://img.shields.io/pypi/wheel/SluArch)](https://pypi.python.org/pypi/SluArch)

```python
pip install sluarch
```
